import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from "@angular/router";
import { NzMessageService } from 'ng-zorro-antd';

import { MainService } from "../../services/main.service";


@Component({
  selector: 'app-advice-detail',
  templateUrl: './advice-detail.component.html',
  styleUrls: ['./advice-detail.component.less']
})
export class AdviceDetailComponent implements OnInit {

  constructor(private message: NzMessageService, private router: Router, private mainService: MainService, private routerInfo: ActivatedRoute) { }

  ngOnInit() {
    this.getDetail()
  }

  id: number;
  adviceInfo: any = {};
  hideModal() {
    this.router.navigateByUrl('/main/adviceManagement')
  }

  // 获取详情
  maskFlag: any = false;
  getDetail() {
    this.id = this.routerInfo.snapshot.params['id'];
    this.maskFlag = this.message.loading('正在加载中..', { nzDuration: 0 }).messageId;
    this.mainService.getFetchData('adviceCollection', 'advice', this.id).subscribe(data => {
      this.message.remove(this.maskFlag);
      this.maskFlag = false;
      this.adviceInfo = data.data;
    })
  }

}
